<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Custom Button for Magento 2
 */

namespace Amasty\CustomButton\Model\Config\Source;

class HideOn implements \Magento\Framework\Data\OptionSourceInterface
{
    public const DESKTOP = '-no-desktop';

    public const MOBILE = '-no-mobile';

    public const TABLET = '-no-tablet';

    public function toOptionArray(): array
    {
        return [
            ['value' => self::DESKTOP, 'label' => __('Desktop')],
            ['value' => self::TABLET, 'label' => __('Tablet')],
            ['value' => self::MOBILE, 'label' => __('Mobile')]
        ];
    }
}
